## installmanual-de 1.3.2

=== Makefile ===
# $Source: /home/leutloff/debian/de/RCS/Makefile,v $                        -*- Makefile -*-
# $Id: Makefile,v 1.1 1997/05/13 15:46:09 leutloff Exp leutloff $

# ich habe kleinere Modifikationen an den Debiandoc-Dateien vorgenommen (fr HTTP)

export DEBIANDOCSGMLLIB=./sgml
export DEBIANDOCSGMLSPEC=./spec

INSTALLPATHFORHTML = $(HOME)/public_html/debian
PREFIX=$(prefix)

# verwendete Programme:

SGML2HTML  = debiandoc2html 
SGML2LOUT  = debiandoc2lout
SGML2PS    = debiandoc2ps -pa4 -1
SGML2TEXT  = debiandoc2text
SGML2LATEX  = debiandoc2latex2e
# debiandoc2textov
CP = cp
RM = rm

ORIGINALDOCS = LiloManual.txt cfdisk.txt X11_release_note.txt \
               rawrite2.txt install.txt install.html \
               dselect.beginner.8.txt dselect.beginner.8.html \
	       Hardware-HOWTO.sgml README.mirrors README.non-US


INSTALLDOCUMENTS = install.de.ps.gz inst-de.ps install.de.text install.de.tar.gz

test: 
	-nsgmls -e -g -s  install.de.sgml

test-html: html
	-weblint install.de.html/index.html install.de.html/ch*

html: install.de.html/index.html ${INSTALLDOCUMENTS} en/README.mirrors Hardware-HOWTO
	-cd en/; cp ${ORIGINALDOCS} ../install.de.html/
	mv ${INSTALLDOCUMENTS} install.de.html/

install: html
	$(CP) install.de.html/* $(PREFIX)/usr/doc/LANG/de/installmanual/

text: install.de.text

Hardware-HOWTO: install.de.html/Hardware-HOWTO.html install.de.html/Hardware-HOWTO.txt

install.de.html/Hardware-HOWTO.html: en/Hardware-HOWTO.sgml
	sgml2html $<
	mv Hardware-HOWTO.html Hardware-HOWTO-* install.de.html/

install.de.html/Hardware-HOWTO.txt: en/Hardware-HOWTO.sgml
	sgml2txt $<
	mv Hardware-HOWTO.txt install.de.html/

ps: inst-de.ps 

inst-de.ps: install.de.sgml
	${SGML2PS}  install.de.sgml
	$(CP) install.de.ps inst-de.ps
	gzip -9f install.de.ps

install.de.ps.gz: inst-de.ps

all: html booklet.de.ps

localinstall: html
	-$(RM) $(INSTALLPATHFORHTML)/install.de.html/*
	$(CP) install.de.html/* $(INSTALLPATHFORHTML)/install.de.html/
	tar cvfz  $(INSTALLPATHFORHTML)/install.de.html.tar.gz install.de.html/*

www: www.tgz 

www.tgz: test
	cd install.de.html; tar cvfz ../www.tgz *

install.de.tar.gz: install.de.sgml anhang.sgml copyright.sgml \
   rechnerkonfiguration.sgml vorbereitungen.sgml \
   installationsdisketten.sgml systeminstallation.sgml \
   dselect_einfuehrung.sgml installationsmedien.sgml \
   systemvoraussetzungen.sgml \
   install-manual.date install-manual.version debian.version \
   Makefile debiandoc2latex2e debiandoc.cls\
   spec/html spec/lout spec/text spec/\
   sgml/debiandoc.dtd sgml/general sgml/catalog
	tar cvfz install.de.tar.gz  $^


pstex: install.de.tex
	latex install.de.tex
	latex install.de.tex
	latex install.de.tex
	dvips install.de.dvi -o inst-tex.ps

install.de.html/index.html: install.de.sgml
	${SGML2HTML} install.de.sgml



#check:
#	sgmlcheck install.de.sgml

clean: distclean

distclean:
	-rm -f *.ps *.ps1 *.ps1x *.lout *.lout.ld *.sasp *.sasp-lout lout.li *~ www.a* 
	-rm -rf spec/*~ sgml/*~ install.de.html/* install.de.tex
	-rm -f *.toc *.aux *.log *.dvi


# Dependencies:

#install.de.html/index.html: install.de.sgml
install.de.text: install.de.sgml
install.de.tex: install.de.sgml



.PHONY: clean check distclean



## rules:
#%.ps: %.sgml
#	${SGML2PS}  $*.sgml

%.text: %.sgml
	${SGML2TEXT} $*.sgml

%.tex: %.sgml
	${SGML2LATEX} $*.sgml

%.html: %.sgml
	${SGML2HTML} $*.sgml
