=== debian/changelog ===
installmanual-de (1.3.2) unstable; urgency=low

  * Initial Release as a Debian Package.

 -- Christian Leutloff <leutloff@debian.org>  Thu, 22 Jan 1998 22:23:36 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "leutloff@debian.org"
End:
