## installmanual-de 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,21 @@
-# $Source: /home/leutloff/debian/de/RCS/Makefile,v $                        -*- Makefile -*-
-# $Id: Makefile,v 1.1 1997/05/13 15:46:09 leutloff Exp leutloff $
+#                                                          -*- Makefile -*-
 
-# ich habe kleinere Modifikationen an den Debiandoc-Dateien vorgenommen (fr HTTP)
+# cl: ich habe kleinere Modifikationen an den Debiandoc-Dateien
+#     vorgenommen (fr HTTP)
 
 export DEBIANDOCSGMLLIB=./sgml
 export DEBIANDOCSGMLSPEC=./spec
+
+#
+# Versionsnummer fuer Alexander Haderer privates Backup (afrika@first.gmd.de)
+# zum Sichern von Makefile* *.sgml *.tex
+# (Ich mache die de. Anpassungen der install doku an debian 2.0)
+# 
+AFRIKA_VERSION	= 1.4
+
+# Die zu sichernden Dateien fuer afrika backup
+AFRIKA_FILES = Makefile* install.ents *.sgml *.tex *.version *.date \
+		README_AFRIKA
 
 INSTALLPATHFORHTML = $(HOME)/public_html/debian
 PREFIX=$(prefix)
@@ -26,7 +37,7 @@
 	       Hardware-HOWTO.sgml README.mirrors README.non-US
 
 
-INSTALLDOCUMENTS = install.de.ps.gz inst-de.ps install.de.text install.de.tar.gz
+INSTALLDOCUMENTS = install.de.ps.gz install.de.text install.de.tar.gz
 
 test: 
 	-nsgmls -e -g -s  install.de.sgml
@@ -34,8 +45,9 @@
 test-html: html
 	-weblint install.de.html/index.html install.de.html/ch*
 
-html: install.de.html/index.html ${INSTALLDOCUMENTS} en/README.mirrors Hardware-HOWTO
-	-cd en/; cp ${ORIGINALDOCS} ../install.de.html/
+#html: install.de.html/index.html ${INSTALLDOCUMENTS} en/README.mirrors Hardware-HOWTO
+#	-cd en/; cp ${ORIGINALDOCS} ../install.de.html/
+html: install.de.html/index.html ${INSTALLDOCUMENTS}
 	mv ${INSTALLDOCUMENTS} install.de.html/
 
 install: html
@@ -53,19 +65,16 @@
 	sgml2txt $<
 	mv Hardware-HOWTO.txt install.de.html/
 
-ps: inst-de.ps 
-
-inst-de.ps: install.de.sgml
+ps: install.de.sgml
 	${SGML2PS}  install.de.sgml
-	$(CP) install.de.ps inst-de.ps
 	gzip -9f install.de.ps
 
-install.de.ps.gz: inst-de.ps
+install.de.ps.gz: ps
 
 all: html booklet.de.ps
 
 localinstall: html
-	-$(RM) $(INSTALLPATHFORHTML)/install.de.html/*
+#	-$(RM) $(INSTALLPATHFORHTML)/install.de.html/*
 	$(CP) install.de.html/* $(INSTALLPATHFORHTML)/install.de.html/
 	tar cvfz  $(INSTALLPATHFORHTML)/install.de.html.tar.gz install.de.html/*
 
@@ -76,9 +85,9 @@
 
 install.de.tar.gz: install.de.sgml anhang.sgml copyright.sgml \
    rechnerkonfiguration.sgml vorbereitungen.sgml \
-   installationsdisketten.sgml systeminstallation.sgml \
-   dselect_einfuehrung.sgml installationsmedien.sgml \
-   systemvoraussetzungen.sgml \
+   systeminstallation.sgml \
+   dselect_einfuehrung.sgml installationsmethoden.sgml \
+   systemvoraussetzungen.sgml partitionieren.sgml \
    install-manual.date install-manual.version debian.version \
    Makefile debiandoc2latex2e debiandoc.cls\
    spec/html spec/lout spec/text spec/\
