=== debian/changelog ===
installmanual-de (2.0.0) unstable; urgency=low

  * new version from Alexander Haderer <afrika@first.gmd.de>, see
    README for a more detailed description
  * removed local copies of the original english documentation - I see
    no more need
  * make lintian (0.8.2) happy

 -- Christian Leutloff <leutloff@debian.org>  Sun, 20 Sep 1998 22:23:36 +0100

installmanual-de (1.3.3) unstable; urgency=low

  * fixed copyright address (lintian)
  
