=== debian/control ===
Source: installmanual-de
Section: doc
Priority: standard
Maintainer: Christian Leutloff <leutloff@debian.org>
Standards-Version: 2.4.1.2

Package: installmanual-de
Architecture: all
Description: Debian install manual in German
 This package installs the HTML version of the install manual into the
 Debian documentation. It includes the PS and the text version,
 too. The source package contains the SGML source and is able to
 produce other formats using debiandoc-sgml.
