=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 build-stamp:
 	dh_testdir
 
-	# Add here commands to compile the package.
-	#$(MAKE)
+#	# Add here commands to compile the package.
+#	#$(MAKE)
 
 	touch build-stamp
 
@@ -20,7 +20,7 @@
 	dh_testroot
 	rm -f build-stamp
 
-	# Add here commands to clean up after the build process.
+#	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
 
 	dh_clean 
@@ -36,20 +36,24 @@
         # Add here commands to install the files into debian/tmp
 	$(MAKE) prefix=`pwd`/debian/tmp install
 
-	dh_installdocs
+	dh_installdocs README
+
 	dh_installexamples
-	dh_installmenu
+#	dh_installmenu
 #	dh_installinit
 	dh_installcron
 #	dh_installmanpages
 #	dh_undocumented
 	dh_installchangelogs
 	dh_compress
+
+	cd `pwd`/debian/tmp/usr/doc/installmanual-de/; ln -s ../LANG/de/installmanual/*.gz .
+	cd `pwd`/debian/tmp/usr/doc/installmanual-de/; ln -s ../LANG/de/installmanual/*.html .
+
 	dh_fixperms
 	dh_suidregister
 	dh_installdeb
 	dh_gencontrol
-	dh_du
 	dh_md5sums
 	dh_builddeb
