## installmanual-de 2.1-3

=== Makefile ===
#                                                          -*- Makefile -*-

# cl: ich habe kleinere Modifikationen an den Debiandoc-Dateien
#     vorgenommen (fr HTTP)
#
# joey: deaktiviert, da sie text-output kaputtmachen
#export DEBIANDOCSGMLLIB=./sgml
#export DEBIANDOCSGMLSPEC=./spec

INSTALLPATHFORHTML = $(HOME)/public_html/debian
PREFIX=$(prefix)

DE_DIR=install.de.html

ENV=LANG=de LC_ALL=de_DE,LATIN1

# verwendete Programme:

SGML2HTML  = $(ENV) debiandoc2html 
SGML2LOUT  = $(ENV) debiandoc2lout
SGML2PS    = $(ENV) debiandoc2ps -pa4 -1
SGML2TEXT  = $(ENV) debiandoc2text
SGML2LATEX  = $(ENV) debiandoc2latex2e
# debiandoc2textov
CP = cp
RM = rm
MV = mv

ORIGINALDOCS = LiloManual.txt cfdisk.txt X11_release_note.txt \
               rawrite2.txt install.txt install.html \
               dselect.beginner.8.txt dselect.beginner.8.html \
	       Hardware-HOWTO.sgml README.mirrors README.non-US


# FIXME: broken debiandoc2ps
#INSTALLDOCUMENTS = install.de.ps.gz install.de.txt install.de.tar.gz
INSTALLDOCUMENTS = install.de.txt install.de.tar.gz

help:
	@echo "make test    Test the sgml files"
	@echo "make text    Create a text file"
	@echo "make html    Create HTML files"
	@echo "make ps      Create a PostScript file"
	@echo "make pstex   Create a PostScript file by using LaTeX"

test: 
	-nsgmls -e -g -s  install.de.sgml

test-html: html
	-weblint $(DE_DIR)/index.html $(DE_DIR)/ch*

date:
	LC_ALL=de_DE date +'%d %B %Y' > install-manual.date

html: $(DE_DIR)/index.html

install: $(DE_DIR)/install.de.txt
	$(CP) $(DE_DIR)/* $(PREFIX)/usr/doc/LANG/de/installmanual/

text: install.de.txt

ps: install.de.sgml
	${SGML2PS} install.de.sgml
	gzip -9f install.de.ps

install.de.ps.gz: ps

# FIXME: broken debiandoc2ps
#all: html text pstex ${INSTALLDOCUMENTS}
all: html text ${INSTALLDOCUMENTS}
	test -d $(DE_DIR) || mkdir $(DE_DIR)
	mv ${INSTALLDOCUMENTS} $(DE_DIR)/

localinstall: html
#	-$(RM) $(INSTALLPATHFORHTML)/$(DE_DIR)/*
	$(CP) $(DE_DIR)/* $(INSTALLPATHFORHTML)/$(DE_DIR)/
	tar cvfz  $(INSTALLPATHFORHTML)/install.de.html.tar.gz $(DE_DIR)/*

www: www.tgz 

www.tgz: test
	cd install.de.html; tar cvfz ../www.tgz *

TARFILES = $(wildcard *.sgml *.ent)
install.de.tar.gz: $(TARFILES) germanize \
   install-manual.date install-manual.version debian.version \
   Makefile debiandoc2latex2e debiandoc.cls urls.ent install.ent \
   spec/html spec/lout spec/text spec/\
   sgml/debiandoc.dtd sgml/general sgml/catalog README
	tar -c --exclude CVS -zf install.de.tar.gz  $^

pstex: install.de.tex
	latex install.de.tex
	latex install.de.tex
	latex install.de.tex
	dvips install.de.dvi -o inst-tex.ps

$(DE_DIR)/index.html: install.de.sgml
	${SGML2HTML} install.de.sgml
	./germanize install.de.html/*.html

clean: distclean

distclean:
	-rm -f *.ps *.ps1 *.ps1x *.lout *.lout.ld *.sasp *.sasp-lout lout.li *~ www.a* 
	-rm -rf spec/*~ sgml/*~ $(DE_DIR) install.de.txt
	-rm -f *.toc *.aux *.log *.dvi install.de.tex


# FIXME: broken debiandoc2ps
# Lokal auf Infodrom Oldenburg installieren
WEBBASE=/var/lib/webspace/infodrom/Debian/`cat debian.version`
webinstall: all
	install -m 644 $(DE_DIR)/ch*.html $(DE_DIR)/footnotes.html $(WEBBASE)
	install -m 644 $(DE_DIR)/index.html $(WEBBASE)/install-de.html
	# install -m 644 $(DE_DIR)/install.de.ps.gz $(WEBBASE)/install-de.ps.gz
	zcat $(WEBBASE)/install-de.ps.gz > $(WEBBASE)/install-de.ps
	install -m 644 $(DE_DIR)/install.de.tar.gz $(WEBBASE)/install-de.tar.gz
	install -m 644 $(DE_DIR)/install.de.txt $(WEBBASE)/install-de.txt
	gzip -9f $(WEBBASE)/install-de.txt
	install -m 644 $(DE_DIR)/install.de.txt $(WEBBASE)/install-de.txt
	install -m 644 debian/changelog $(WEBBASE)

# Dependencies:

#$(DE_DIR)/index.html: install.de.sgml
install.de.txt: install.de.sgml
install.de.tex: install.de.sgml



.PHONY: clean check distclean



## rules:
#%.ps: %.sgml
#	${SGML2PS}  $*.sgml

%.txt: %.sgml
	${SGML2TEXT} $*.sgml
	./germanize $*.text

%.tex: %.sgml
	${SGML2LATEX} $*.sgml
	cat $*.tex| sed 's/\\usepackage{fancyhdr}/\\usepackage{fancyhdr}\\usepackage{german}/' \
	 > $*.tex. && mv -f $*.tex. $*.tex

%.html: %.sgml
	DEBIANDOCSGMLLIB=./sgml ${SGML2HTML} $*.sgml
	./germanize $*.html/*.html
