=== debian/changelog ===
installmanual-de (2.1-3) unstable; urgency=low, closes=34625 34624

  * Fixed some mistakes, thanks to Roland Rosenfeld
  * Better L10n, thanks to Philipp Frauenfelder
  * Added more corrections with help of Andreas Scherer
    <andreas.scherer@lingua.at>
  * Added information about more package managers
  * Added more corrections with help of Hartmut Figge <hfigge@knuut.de>
  * Changed Return to Enter
  * Rephrased partitioning slightly
  * Downgraded to Slink version of lout to get page numbers in ps file
    again (Bug#35060)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 17 May 1999 09:38:59 +0200

installmanual-de (2.1-2) unstable; urgency=low

  * Fixed some typos
  * Rephrased paragraph about LHB
  * Added support for dhelp.  Thanks to Joerg Friedrich
    <Joerg.Dieter.Friedrich@uni-konstanz.de>
  * Added support for de_DE to comply with current debiandoc-sgml, thanks
    to Adam di Carlo for assistance.
  * Added call to update-menus in postinst and postrm

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 14 Mar 1999 21:48:58 +0100

installmanual-de (2.1-1) unstable; urgency=low

  * New maintainer
  * Installed a hand written debian/rules file
  * Removed links to HTML files in /usr/doc/$(package)
  * Added Emacs command to load the iso-accents-mode to all .sgml files
  * Removed superflous newlines if present
  * Adjusted the copyright file
  * More sophisticated changes to Makefile so files won't get built within
    install target
  * Added original english install.txt as en-install.txt for reference
  * Added general section wrt. Linux, Debian and Hurd
  * install.de.sgml:
    . Added reference to new maintainer
  * partitionieren.sgml:
  * installationsmethoden:
    . Corrected path for 2.0 disks
    . Added subsection about lowmem
    . Added internals about root.bin
  * Reworded paragraph about scsi adapters and booting
  * Added section about reporting bugs
  * Added paragraph about how to use the rescue floppy for recovery
  * Adjusted path to HOWTOs
  * Updated LDP mirror from
    http://metalab.unc.edu/LDP/mirrors.html#germany
  * Merged adjustments from Philipp Frauenfelder <pfrauenf@debian.org>
    . Added file urls.ent containing all urls we're referring to
    . Added special intro about package maintenance
    . Added section about apt/apt-get
  * Updated URLs for other formats
  * Corrected Makefile regarding local spec and sgml directories
  * Updated trademark section
  * Added paragraph covering multi-cd
  * Updated dselect::Access screen
  * Added proper references to Unix FAQ and User-Friendly Unix FAQ
  * Added footnote covering zip drives
  * Added "Orientierung innerhalb von Debian" (translation)
  * Added "Von CDROM booten" (translation)
  * Reordered "Kernel-Meldungen interpretieren"
  * Moved debian.sgml to willkommen.sgml
  * Moved rechnerkonfiguration.sgml to vorbereitungen.sgml
  * Moved install.ents to install.ent
  * Added contents of copyright.sgml to willkommen.sgml
  * Reordered README (is a Changelog)
  * Removed installationsdisketten.sgml
  * Added "Festplatten-Einschrnkungen bei PCs" (translation)
  * Added "Partitionierung fr DOS" (translation)
  * Added section regarding LILO and other systems
  * Added special `webinstall' target to install the files locally
  * Cleaned up and fixed Makefile
  * Added corrections with help of Hartmut Koptein <koptein@debian.org>

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat,  6 Mar 1999 19:06:22 +0100
