=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: installmanual-de
 Section: doc
 Priority: standard
-Maintainer: Christian Leutloff <leutloff@debian.org>
+Maintainer: Martin Schulze <joey@debian.org>
 Standards-Version: 2.4.1.2
 
 Package: installmanual-de
